AM263Px MCU+ SDK: Diag_Mon_Rotational_Signal_Integrity_data Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
Diag_Mon_Rotational_Signal_Integrity_data Struct Reference
APIs for SOC Specific Device Drivers » APIs for RESOLVER

## Detailed Description

Structure to hold the control/status data for Diagnostics mentioned under Monitor rotational signal integrity (DOS)

Values that can be passed to RDC_getDiagnosticsRotationalSignalIntegrityData(), RDC_setDiagnosticsRotationalSignalIntegrityData() as Diag_Mon_Rotational_Signal_Integrity_data parameter

## Data Fields
bool | cos_neg_zc_peak_mismatch_err
bool | cos_pos_zc_peak_mismatch_err
bool | sin_neg_zc_peak_mismatch_err
bool | sin_pos_zc_peak_mismatch_err
bool | sin_multi_zc_error_err
bool | cos_multi_zc_error_err
uint8_t | cos_multi_zc_error_count
uint8_t | sin_multi_zc_error_count
uint16_t | rotpeak_level
uint16_t | rotfreq_level
bool | zero_cross_rot_en

## Field Documentation

## ◆ cos_neg_zc_peak_mismatch_err

bool Diag_Mon_Rotational_Signal_Integrity_data::cos_neg_zc_peak_mismatch_err

## ◆ cos_pos_zc_peak_mismatch_err

bool Diag_Mon_Rotational_Signal_Integrity_data::cos_pos_zc_peak_mismatch_err

## ◆ sin_neg_zc_peak_mismatch_err

bool Diag_Mon_Rotational_Signal_Integrity_data::sin_neg_zc_peak_mismatch_err

## ◆ sin_pos_zc_peak_mismatch_err

bool Diag_Mon_Rotational_Signal_Integrity_data::sin_pos_zc_peak_mismatch_err

## ◆ sin_multi_zc_error_err

bool Diag_Mon_Rotational_Signal_Integrity_data::sin_multi_zc_error_err

## ◆ cos_multi_zc_error_err

bool Diag_Mon_Rotational_Signal_Integrity_data::cos_multi_zc_error_err

## ◆ cos_multi_zc_error_count

uint8_t Diag_Mon_Rotational_Signal_Integrity_data::cos_multi_zc_error_count

## ◆ sin_multi_zc_error_count

uint8_t Diag_Mon_Rotational_Signal_Integrity_data::sin_multi_zc_error_count

## ◆ rotpeak_level

uint16_t Diag_Mon_Rotational_Signal_Integrity_data::rotpeak_level

## ◆ rotfreq_level

uint16_t Diag_Mon_Rotational_Signal_Integrity_data::rotfreq_level

## ◆ zero_cross_rot_en

bool Diag_Mon_Rotational_Signal_Integrity_data::zero_cross_rot_en